import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router)

function loadView(view) {
  return () =>
    import( /* webpackChunkName: "view-[request]" */ `@/views/${view}.vue`)
}
export default new Router({
  routes: [{
      path: '/dataDisplay',
      name: 'datadisplay',
      component: loadView('dataDisplay'),
      meta: {
        title: 'dataDisplay'
      }
    },
    {
      path: '/meetings',
      name: 'meetings',
      component: loadView('meetings'),
      meta: {
        title: 'Meetings Booking'
      }
    },
    {
      path: '/emailv',
      name: 'emailv',
      component: loadView('emailv'),
      meta: {
        title: 'Email Verification'
      }
    },
    {
      path: '/committee',
      name: 'committee',
      component: loadView('committee'),
      meta: {
        title: 'Committee'
      }
    },
    // {
    //   path: '/individualReg',
    //   name: 'individualReg',
    //   component: loadView('individualReg'),
    //   meta: {
    //     title: 'Individual Registration'
    //   }
    // },

    {
      path: '/instituteReg',
      name: 'instituteReg',
      component: loadView('instituteReg'),
      meta: {
        title: 'Institute Registration'
      }
    },



    {
      path: '/',
      name: 'home',
      component: loadView('Home'),
      meta: {
        title: 'Home'
      }
    },
    {
      path: '/about',
      name: 'about',
      component: loadView('About'),
      meta: {
        title: 'About'
      }
    },
    {
      path: '/ApplicantLogin',
      name: 'ApplicantLogin',
      component: loadView('ApplicantLogin'),
      meta: {
        title: 'ApplicantLogin',
       
      }
    },
    {
      path: '/registration',
      name: 'registration',
      component: loadView('Registration'),
      meta: {
        title: 'Registration',
        lang: 'mr'
      }
    },
    {
      path: '/mqlRequestDemo',
      name: 'mqlRequestDemo',
      component: loadView('MQLRequestDemo'),
      meta: {
        title: 'MQLRequestDemo'
      }
    },
    {
      path: '/Applicant_Registration',
      name: 'Applicant_Registration',
      component: loadView('Applicant_Registration'),
      meta: {
        title: 'Applicant Registration'
      }
    },
    {
      path: '/otpdemo',
      name: 'otpdemo',
      component: loadView('otpdemo'),
      meta: {
        title: 'OTP Demo'
      }
    },
    {
      path: '/validator',
      name: 'validator',
      component: loadView('Validator'),
      meta: {
        title: 'Validator'
      }
    },
    
    {
      path: '/cdnUpload',
      name: 'cdnUpload',
      component: loadView('CdnUpload'),
      meta: {
        title: 'Cdn Upload'
      }
    },
    {
      path: '/tableDemo',
      name: 'tableDemo',
      component: loadView('TableDemo'),
      meta: {
        title: 'Table Demo'
      }
    },
    {
      path: '/Grand',
      name: 'Grand',
      component: loadView('Grand'),
      meta: {
        title: 'Registration Page'
      
    }
  },
      {
        path: '/User_Creation',
        name: 'User_Creation',
        component: loadView('User_Creation'),
        meta: {
          title: 'User Creation'
        }

    },
    {
      path: '/IndiLogin',
      name: 'IndiLogin',
      component: loadView('IndiLogin'),
      meta: {
        title: 'IndiLogin'
      }

  },

    {
      path: '/roles',
      name: 'roles',
      component: loadView('roles'),
      meta: {
        title: 'Add Roles'
      }

  },
   {
      path: '/dashboard',
      name: 'Dashboard',
      component: loadView('theme/Dashboard'),
      meta: {
        title: 'Dashboard'
      }
  },
  {
      path: '/forms',
      name: 'Forms',
      component: loadView('theme/Forms'),
      meta: {
        title: 'Forms'
      }
  },
  {
      path: '/buttons',
      name: 'Buttons',
      component: loadView('theme/Buttons'),
      meta: {
        title: 'Buttons'
      }
  },
  {
      path: '/cards',
      name: 'Cards',
      component: loadView('theme/Cards'),
      meta: {
        title: 'Cards'
      }
  },
   {
      path: '/charts',
      name: 'Charts',
      component: loadView('theme/Charts'),
      meta: {
        title: 'Charts'
      }
  },
  {
      path: '/timeline',
      name: 'Timeline',
      component: loadView('theme/Timeline'),
      meta: {
        title: 'Timeline'
      }
  },
  {
      path: '/modals',
      name: 'Modals',
      component: loadView('theme/Modals'),
      meta: {
        title: 'Modals'
      }
  },
  {
      path: '/profile',
      name: 'Profile',
      component: loadView('theme/Profile'),
      meta: {
        title: 'Profile'
      }
  },
  {
      path: '/component-list',
      name: 'Components',
      component: loadView('theme/Components'),
      meta: {
        title: 'Components'
      }
  },
  {
      path: '/data-table',
      name: 'DataTable',
      component: loadView('theme/DataTable'),
      meta: {
        title: 'DataTable'
      }
  },
  {
      path: '/spinners',
      name: 'Spinners',
      component: loadView('theme/Spinners'),
      meta: {
        title: 'Spinners'
      }
  },
  {
      path: '/form-wizard',
      name: 'FormWizard',
      component: loadView('theme/FormWizard'),
      meta: {
        title: 'FormWizard'
      }
  },
   {
      path: '/upload',
      name: 'Upload',
      component: loadView('theme/Upload'),
      meta: {
        title: 'Upload'
      }
  },
  {
      path: '/alerts',
      name: 'Alerts',
      component: loadView('theme/Alerts'),
      meta: {
        title: 'Alerts'
      }
  },
   {
      path: '/sweet-alerts',
      name: 'SweetAlerts',
      component: loadView('theme/SweetAlerts'),
      meta: {
        title: 'SweetAlerts'
      }
  },
  {
      path: '/login',
      name: 'Login',
      component: loadView('theme/Login'),
      meta: {
        title: 'Login'
      }
  },
   {
     path: '/registration2',
     name: 'Registration2',
     component: loadView('theme/Registration2'),
     meta: {
       title: 'Registration2'
     }
   }
  ]
})